classification
Title: update SQLite libraries for Windows and macOS installers
Type: Stage: patch review
Components: Installation, macOS, Windows Versions: Python 3.7, Python 3.6
process
Status: pending Resolution:
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: Big Stone, Mariatta, benjamin.peterson, berker.peksag, ned.deily, paul.moore, rhettinger, ronaldoussoren, steve.dower, tim.golden, vstinner, zach.ware
Priority: Keywords: patch

Created on 2016-11-24 20:05 by Big Stone, last changed 2017-12-19 08:54 by ned.deily.

Pull Requests
URL Status Linked Edit
PR 4245 merged Mariatta, 2017-11-03 03:16
PR 4246 merged Mariatta, 2017-11-03 03:32
PR 4711 merged ned.deily, 2017-12-05 02:13
PR 4717 merged Mariatta, 2017-12-05 03:29
Messages (23)
msg281650 - (view) Author: Big Stone (Big Stone) Date: 2016-11-24 20:05
I fear it's too late for Python-3.6, but sqlite-3.15.1 fixes an old annoying bug (hidden since 3.8.0), and arriving tomorrow (nov.24th) sqlite-3.15.2 should be the well ".2" stabilized version of recent 3.15 improvements towards SQL standard (support for row values)

If there is no special bugs left in Python-3.6.0b4 and everybody is happy, I would suggest you upgrade from sqlite-3.14.2 to sqlite-3.15.2
msg281920 - (view) Author: Big Stone (Big Stone) Date: 2016-11-28 22:18
too late for sqlite-0.15.2 in Python-3.6.0rc ?
msg282035 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-11-29 19:45
Yes, we're not going to change library versions for the 3.6.0 installers at this point.  Upgrade for 3.7.0 is fine and possibly for a 3.6.x maintenance release if warranted.  I suggest holding off on any patches until we're closer to those releases as there may be subsequent SQLite updates.
msg282093 - (view) Author: Big Stone (Big Stone) Date: 2016-11-30 19:20
I understand the decision. Yet it always baffles me that a version correcting known bugs is not included at beta stage.
msg282097 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-11-30 19:46
I don't think we have anyone actively tracking SQLite right now, like we do for OpenSSL.

All it really needs is someone to prepare and test the patch during the beta period, and to be available in case more fixes are required. At this stage, we're in the RC period, so there really needs to be a recall-level issue to justify a change, and even then we'd prefer a maintenance update rather than a feature update (e.g. 3.14.3 vs. 3.15.x - if it's not a recall-level issue for SQLite, then it's hard to call it a recall-level issue for Python).
msg288662 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-02-27 18:52
Is this something we want to include for the upcoming 3.6.1 release?
The latest sqlite version is 3.17.0.
msg288675 - (view) Author: Big Stone (Big Stone) Date: 2017-02-27 22:01
python-3.7 should include the latest stable sqlite, at the time of last alpha.
msg288728 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-02-28 23:03
Thanks, Big Stone. Setting the version to 3.7.
msg301736 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-09-08 21:36
In an effort to not forget about this, I'm setting it to deferred blocker.
msg305369 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-11-01 11:02
> In an effort to not forget about this, I'm setting it to deferred blocker.

Should we mark issue 30952 'deferred blocker' too?
msg305686 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-06 23:07
Oh wow, I didn't even know that Python included a copy of SQLite for Windows and macOS installers! I added it to my list of "embedded libraries" :-)
http://haypo-notes.readthedocs.io/cpython.html#embedded-libraries
msg305709 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-11-07 03:31
New changeset 31af650ee25f65794b75d4dfefed6fe4758781c1 by Mariatta in branch 'master':
bpo-28791: Update Windows builds to use SQLite 3.21.0. (GH-4246)
https://github.com/python/cpython/commit/31af650ee25f65794b75d4dfefed6fe4758781c1
msg305745 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-07 12:36
> sqlite-3.15.1 fixes an old annoying bug (hidden since 3.8.0)

Since the bug seems to be important, maybe it's worth it to backport the commit upgrading SQLite to Python 2.7 and 3.6?
msg305795 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-11-07 22:23
I'd say that's up to Ned and Benjamin.  It's a very simple backport at this point.
msg305931 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-11-09 02:28
+1 for backporting.
msg307613 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-12-05 02:04
New changeset ca7562a7fea61646c1b40ace04deecf9903d34a1 by Ned Deily (Mariatta) in branch 'master':
bpo-28791: Update macOS installer to use SQLite 3.21.0. (#4245)
https://github.com/python/cpython/commit/ca7562a7fea61646c1b40ace04deecf9903d34a1
msg307617 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-12-05 02:29
New changeset a72e7bf563d5a9fb706a1775f5ae883a91b8a99f by Ned Deily in branch '3.6':
[3.6] bpo-28791: Update macOS installer to use SQLite 3.21.0. (#4245) (#4711)
https://github.com/python/cpython/commit/a72e7bf563d5a9fb706a1775f5ae883a91b8a99f
msg307618 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-12-05 02:37
I've updated the macOS installer for 3.7.0 and for 3.6.4.  I'll leave this open for possible updating the Windows installer for 3.6.x (OK by me) and for possible updates for 2.7.x.
msg307619 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-12-05 02:39
> Should we mark issue 30952 'deferred blocker' too?

No, that's a different matter.  AFAICT, there is no standard option for that.
msg307625 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-12-05 03:06
Tried to get miss-islington to backport Windows installer change to 3.6, did not work.

I'll work on the backport PR.
msg307637 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-12-05 04:09
New changeset e2ba5523192a9cff125fce2ce530bec574353f7b by Mariatta in branch '3.6':
bpo-28791: Update Windows builds to use SQLite 3.21.0. (GH-4246). (GH-4717)
https://github.com/python/cpython/commit/e2ba5523192a9cff125fce2ce530bec574353f7b
msg307638 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-12-05 04:15
Backport to 3.6 is done. But I personally won't be bothering with 2.7 :)
msg308621 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-12-19 08:54
Looks like unless Benjamin would like 2.7.x updated, this can now be closed.
History
Date User Action Args
2017-12-19 08:54:24ned.deilysetpriority: deferred blocker ->
assignee: benjamin.peterson
status: open -> pending
messages: + msg308621
2017-12-05 04:15:09Mariattasetmessages: + msg307638
2017-12-05 04:10:00Mariattasetmessages: + msg307637
2017-12-05 03:29:18Mariattasetstage: needs patch -> patch review
pull_requests: + pull_request4627
2017-12-05 03:06:24Mariattasetmessages: + msg307625
2017-12-05 02:39:04ned.deilysetmessages: + msg307619
2017-12-05 02:37:29ned.deilysettitle: update sqlite to latest version before beta 1 -> update SQLite libraries for Windows and macOS installers
stage: patch review -> needs patch
messages: + msg307618
versions: + Python 3.6
2017-12-05 02:29:32ned.deilysetmessages: + msg307617
2017-12-05 02:13:47ned.deilysetpull_requests: + pull_request4622
2017-12-05 02:04:52ned.deilysetmessages: + msg307613
2017-11-09 02:28:49rhettingersetnosy: + rhettinger
messages: + msg305931
2017-11-07 22:23:15zach.waresetnosy: + benjamin.peterson
messages: + msg305795
2017-11-07 12:36:19vstinnersetmessages: + msg305745
2017-11-07 03:31:55Mariattasetmessages: + msg305709
2017-11-06 23:07:35vstinnersetnosy: + vstinner
messages: + msg305686
2017-11-03 03:32:47Mariattasetpull_requests: + pull_request4210
2017-11-03 03:16:57Mariattasetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request4209
2017-11-01 11:02:12berker.peksagsetnosy: + berker.peksag
messages: + msg305369
2017-09-08 21:36:06zach.waresetpriority: normal -> deferred blocker

messages: + msg301736
title: update sqlite to 3.19.2 -> update sqlite to latest version before beta 1
2017-05-31 20:42:29Big Stonesettitle: update sqlite to 3.17.0 -> update sqlite to 3.19.2
2017-02-28 23:03:02Mariattasetmessages: + msg288728
versions: - Python 3.6
2017-02-27 22:01:48Big Stonesetmessages: + msg288675
title: update sqlite to 3.15.2 -> update sqlite to 3.17.0
2017-02-27 18:52:26Mariattasetnosy: + Mariatta
messages: + msg288662
2016-11-30 19:46:35steve.dowersetmessages: + msg282097
2016-11-30 19:20:25Big Stonesetmessages: + msg282093
2016-11-29 19:45:54ned.deilysetmessages: + msg282035
stage: needs patch
2016-11-29 17:22:17Mariattasetnosy: + ned.deily, paul.moore, tim.golden, steve.dower, zach.ware, ronaldoussoren
components: + Installation, macOS, Windows
2016-11-28 22:18:39Big Stonesetmessages: + msg281920
2016-11-24 21:00:33Big Stonesettitle: update sqlite to 3.14.2 -> update sqlite to 3.15.2
2016-11-24 20:05:28Big Stonecreate